!***************************************************
!
!      subroutine tide_harmcompo
!
!***************************************************
!
!     objet    : corps de la subroutine de calcul des niveaux
!                de la surface libre a la limite ouverte (marine)
!                pour un modele de rang 0 par
!                composition harmonique. Cette composition harmonique
!                basee sur les ondes du spectre de maree. Il y a 6 possibilites
!                de selection ; 3 sont specifiques a des configurations de 
!                modeles :
!                 - key_mdn : modele de jcs Manche-Mer du Nord (11 km)
!                 - key_gdg  : modele de pl golfe de Gascogne (11 km) 
!                 - par defaut: modele de pg Islande-Portugal  (5 km) 
!                Deux donnent la possibilite de couvrir tout le monde :
!                 - key_tide_fes2004
!                 - key_tide_fes2012
!                Une donne la possibilite de couvrir tout le plateau 
!                Manche Atlantique Francais :
!                 - key_tide_shom 
!                Le spectre peut etre reduit a la seule onde M2 (tide_nbharmcp=1)
!                et le cycle Morte-Eau Vive-Eau reproduit a l aide des
!                coefficients de maree (eventuellement constant pour 
!                simuler des marees schematiques).
!
!     appelant         : 
!     appeles          : 
!     canal d ecriture :
!     canal de lecture : 
!                      :
!     cle cpp          : key_tide_shom, key_tide_fes2004
!                      :
!     variables in     :
!                      :
!     variables out    :
!                      :
!     variables inout  :
!                      :
!     dernieres modifs : 14/06/2004
   !&E
   !&E ** History :
   !&E       !          Original code
   !&E       !  2009-03 (V. Garnier)  removing of xeuv argument
   !&E       !  2009-10 (A. Fiandrino)  add harmonic composition for lagoon
   !&E
!                      :
!***********************************************************
!

#ifdef key_tide_shom
#     include "tideharmcomp_shom.h"
#elif key_tide_fes2004
#     include "tideharmcomp_fes2004.h"
#elif key_tide_fes2012
#     include "tideharmcomp_fes2012.h"
#elif key_tide_tpx07
#     include "tideharmcomp_tpx07.h"
#elif key_tide_schwid
#     include "tideharmcomp_schwid.h"
#elif key_lagoon
#     include "tideharmcomp_lagoonchannel.h"

#else
subroutine tide_harmcompo
end subroutine tide_harmcompo
#endif
